Mac OS 11 Beta

Hello!

Having an issue with an error pulsing “Error while talking to website: Error creating SSL context ()”.

I’m assuming this is related to the OS11 beta and Whatpulse client not being friendly yet, are there any Mac OS builds available perhaps in a beta channel currently?

Thanks!

This is most likely because of a few security changes they did in the macOS beta. I know they changed something, but I haven’t gone through the beta yet and tried it. For now, don’t upgrade to the macOS beta if you want to pulse.

Yeah I found out the hard way… lol. Oh well, I’ll have a bunch banked up for when the time comes hopefully!

Lets hope that it is solved soon. Will have a huge pulse waiting by that time :slight_smile:

I can’t actually launch the app at all. It just hangs immediately. No idea why. Any ideas on why it would crash?

Yeah I need this as well. I have 700k keystrokes pending a pulse. :slight_smile:

Same, just under 700k myself :slight_smile:

I turned on verbose mode and here’s the output:

09-10-2020 15:36:26.273 TRACE Settings::get( “online_send_applications” )
qt.network.ssl: QSslSocket: cannot call unresolved function d2i_X509
qt.network.ssl: QSslSocket: cannot call unresolved function d2i_X509
09-10-2020 15:36:26.275 TRACE Settings::get( “proxy_enabled” )
09-10-2020 15:36:26.275 TRACE Settings::get( “proxy_system_enabled” )
qt.network.ssl: QSslSocket: cannot call unresolved function SSLv23_client_method
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_CTX_new
qt.network.ssl: QSslSocket: cannot call unresolved function SSL_library_init
qt.network.ssl: QSslSocket: cannot call unresolved function ERR_get_error
qt.network.ssl: QSslSocket: cannot call unresolved function ERR_get_error
09-10-2020 15:36:26.276 WARN void ClientCommunication::checkHTTPError(QString) Error: “Error while talking to website: Error creating SSL context ()”
09-10-2020 15:36:28.827 TRACE Settings::get( “stat_keyboard_enable” )

I think the problem might be the QT version that WhatPulse is using was too old and needs an update. Hope this can be fixed soon.

Same issue by me.

Can’t use WhatPulse since Big Sur release. Any idea about the update?

Also seeing this error on Big Sur. Seems like an issue finding or getting a correct openssl dylib. I am on openssl@1.1.1h

Some potentially helpful answers for smitmartijn

https://stackoverflow.com/questions/10846536/unresolved-functions-while-working-with-qsslsocket
https://stackoverflow.com/questions/41857883/qsslsocket-cannot-call-unresolved-function

The good news is as long as you opened whatpulse, even though the UI doesn’t show up it’s still tracking everything.

If you want to see the UI, run this in the command line

/Applications/WhatPulse.app/Contents/MacOS/whatpulse

Oops. For anyone who lands here, there is a working beta client on the downloads page already.

I had the same issue. I solved this by enabling the “Include beta versions updates” in the WhatPulse setting, and then click “Check for Updates”.

Upgrading to 2.9beta3 resolves this problem. Plus, the UI has been improved a lot.